<template>
  <div>
    <h1 class="mb-3">Have you had your blood pressure measured in the past 6 months?</h1>
    <p class="mb-6 text-base">If you don’t know your blood pressure, please visit a local healthcare provider (ex. CVS or Walgreens) for a quick blood pressure reading, then resume your visit. </p>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="selected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <CommonBtn
      @click="handleClick"
      text="Next"
      :disabled="!selected"
    />
  </div>
</template>

<script>
import RadioInput from "@/components/inputs/RadioInput";
import {answersMixin, referMixin} from "@/utils/mixins";
import CommonBtn from "@/components/common/CommonBtn";
export default {
  mixins: [answersMixin, referMixin],
  name: "YourHealth14",
  components: {CommonBtn, RadioInput},
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_14')
    }
  },
  data() {
    return {
      choices: [
        'Yes',
        'No',
      ],
      selected: null,
    }
  },
  methods: {
    handleClick() {
      if (this.selected === 'No') {
        this.setRefer('We’ve hit a minor road bump:', 'Patients must have had their blood pressure taken within the last 6 months to qualify for prescription ED medication through REX MD. Please try again after you have had your blood pressure taken. ')
      } else this.$emit('nextStage')
    }
  }
}
</script>

<style scoped>

</style>
